%define name shapelib
%define version 1.2.8
%define release 3mdk

%define major 1
%define libname lib%{name}%{major}

Summary: API in "C" for Shapefile handling
Name: %name
Version: %version
Release: %release
Source: %name-%version.tar.bz2
Patch: %name-makefile.patch.bz2
License: LGPL, MIT License
Group: Sciences/Geosciences
Url: http://gdal.velocet.ca/projects/shapelib/index.html
Buildroot: %_tmppath/%name-buildroot
Requires: proj >= 4.4.1

%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{libname}
Summary: API in "C" for Shapefile handling
Group: System/Libraries

%description -n %{libname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).


%package -n %{libname}-devel
Summary: API in "C" for Shapefile handling
Group: Development/Other
Requires: libshapelib1 = 1.2.8
Provides: libshapelib-devel

%description -n %{libname}-devel
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n shapelib-1.2.8

%patch -p1


%build
make
(cd contrib ; make )
make lib

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 dbfadd dbfcreate dbfdump shpadd shpcreate shpdump shptest $RPM_BUILD_ROOT%_bindir/.
( cd contrib ; install dbfcat dbfinfo shpcat shpcentrd shpdata shpdxf shpfix shpinfo shpwkb shpproj $RPM_BUILD_ROOT%_bindir/. )

export DESTDIR=$RPM_BUILD_ROOT

make lib_install

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %name
%defattr (-,root,root)
%doc LICENSE.LGPL README.tree dbf_api.html shapelib.html shp_api.html
%doc contrib/doc/shpproj.txt
%_bindir/*

%files -n %{libname}-devel
%defattr (-,root,root)
%_includedir/libshp/shapefil.h
%_libdir/*.so

%files -n %{libname}
%defattr (-,root,root)
%_libdir/*.so.*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-3mdk
- rebuild

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-2mdk
- rebuild
- apply library policy

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-1mdk
- patch makefile to install in buildroot
- used srpm from Franck Martin <franck@sopac.org>
